<?xml version='1.0' encoding='UTF-8'?>
<build>
  <actions>
    <hudson.model.CauseAction>
      <causes>
        <hudson.model.Cause_-UserIdCause/>
      </causes>
    </hudson.model.CauseAction>
    <hudson.plugins.testlink.TestLinkBuilder_-1 plugin="testlink@3.10">
      <val_-iterativeEnvVars serialization="custom">
        <unserializable-parents/>
        <tree-map>
          <default>
            <comparator class="hudson.util.CaseInsensitiveComparator"/>
          </default>
          <int>4</int>
          <string>TESTLINK_BUILD_NAME</string>
          <string>TBJ-11</string>
          <string>TESTLINK_TESTCASE_TOTAL</string>
          <string>2</string>
          <string>TESTLINK_TESTPLAN_NAME</string>
          <string>TPJ1</string>
          <string>TESTLINK_TESTPROJECT_NAME</string>
          <string>TL_JENKINS</string>
        </tree-map>
      </val_-iterativeEnvVars>
      <outer-class>
        <testLinkName>LocalTestLink_1_9_10</testLinkName>
        <testProjectName>TL_JENKINS</testProjectName>
        <testPlanName>TPJ1</testPlanName>
        <buildName>TBJ-$BUILD_NUMBER</buildName>
        <platformName></platformName>
        <customFields>cfName</customFields>
        <singleBuildSteps>
          <hudson.tasks.BatchFile>
            <command>@echo Single Build Steps Start
@echo TESTLINK_BUILD_NAME=%TESTLINK_BUILD_NAME%
@echo TESTLINK_TESTPLAN_NAME=%TESTLINK_TESTPLAN_NAME%
@echo TESTLINK_TESTPROJECT_NAME=%TESTLINK_TESTPROJECT_NAME%
@echo TESTLINK_TESTCASE_TOTAL=%TESTLINK_TESTCASE_TOTAL%
@echo Single Build Steps Stop
@echo ====</command>
          </hudson.tasks.BatchFile>
          <hudson.tasks.BatchFile>
            <command>set JAVA_HOME=&quot;D:\ext\Java\jdk1.8.0_05&quot;  
set PATH=&quot;D:\ext\Java\jdk1.8.0_05\bin&quot;;%PATH%   
set CLASSPATH=&quot;.;build\classes;D:\ext\Java\jars\*&quot;

java -ea -classpath %CLASSPATH% org.testng.TestNG -testnames &quot;Examples&quot; resources/suite.xml</command>
          </hudson.tasks.BatchFile>
        </singleBuildSteps>
        <iterativeBuildSteps>
          <hudson.tasks.BatchFile>
            <command>@echo Iterative Test Build Steps Start
@echo TESTLINK_TESTCASE_ID=%TESTLINK_TESTCASE_ID%
@echo TESTLINK_TESTCASE_NAME=%TESTLINK_TESTCASE_NAME%
@echo TESTLINK_TESTCASE_TESTSUITEID=%TESTLINK_TESTCASE_TESTSUITEID%
@echo TESTLINK_TESTCASE_TESTPROJECTID=%TESTLINK_TESTCASE_TESTPROJECTID%
@echo TESTLINK_TESTCASE_AUTHOR=%TESTLINK_TESTCASE_AUTHOR%
@echo TESTLINK_TESTCASE_SUMMARY=%TESTLINK_TESTCASE_SUMMARY%
@echo TESTLINK_BUILD_NAME=%TESTLINK_BUILD_NAME%
@echo TESTLINK_TESTPLAN_NAME=%TESTLINK_TESTPLAN_NAME%
@echo TESTLINK_TESTPROJECT_NAME=%TESTLINK_TESTPROJECT_NAME%
@echo TESTLINK_TESTCASE_cfName=%TESTLINK_TESTCASE_cfName%
@echo Iterative Test Build Steps Stop
@echo -------</command>
          </hudson.tasks.BatchFile>
        </iterativeBuildSteps>
        <transactional>false</transactional>
        <failedTestsMarkBuildAsFailure>false</failedTestsMarkBuildAsFailure>
        <failIfNoResults>false</failIfNoResults>
        <failOnNotRun>false</failOnNotRun>
        <executionOrderComparator/>
        <failure>false</failure>
        <resultSeekers>
          <hudson.plugins.testlink.result.TestNGClassNameResultSeeker>
            <includePattern>test-output/testng-results.xml</includePattern>
            <keyCustomField>cfName</keyCustomField>
            <includeNotes>false</includeNotes>
            <parser/>
            <attachTestNGXML>false</attachTestNGXML>
            <markSkippedTestAsBlocked>false</markSkippedTestAsBlocked>
          </hudson.plugins.testlink.result.TestNGClassNameResultSeeker>
        </resultSeekers>
      </outer-class>
    </hudson.plugins.testlink.TestLinkBuilder_-1>
    <hudson.plugins.testlink.TestLinkBuilder_-1 plugin="testlink@3.10">
      <val_-iterativeEnvVars serialization="custom">
        <unserializable-parents/>
        <tree-map>
          <default>
            <comparator class="hudson.util.CaseInsensitiveComparator" reference="../../../../../hudson.plugins.testlink.TestLinkBuilder_-1/val_-iterativeEnvVars/tree-map/default/comparator"/>
          </default>
          <int>4</int>
          <string>TESTLINK_BUILD_NAME</string>
          <string>TBJ-11</string>
          <string>TESTLINK_TESTCASE_TOTAL</string>
          <string>2</string>
          <string>TESTLINK_TESTPLAN_NAME</string>
          <string>TPJ1</string>
          <string>TESTLINK_TESTPROJECT_NAME</string>
          <string>TL_JENKINS</string>
        </tree-map>
      </val_-iterativeEnvVars>
      <outer-class reference="../../hudson.plugins.testlink.TestLinkBuilder_-1/outer-class"/>
    </hudson.plugins.testlink.TestLinkBuilder_-1>
    <hudson.plugins.testlink.TestLinkBuilder_-2 plugin="testlink@3.10">
      <val_-iterativeEnvVars serialization="custom">
        <unserializable-parents/>
        <tree-map>
          <default>
            <comparator class="hudson.util.CaseInsensitiveComparator" reference="../../../../../hudson.plugins.testlink.TestLinkBuilder_-1/val_-iterativeEnvVars/tree-map/default/comparator"/>
          </default>
          <int>11</int>
          <string>TESTLINK_BUILD_NAME</string>
          <string>TBJ-11</string>
          <string>TESTLINK_TESTCASE_AUTHOR</string>
          <string>null</string>
          <string>TESTLINK_TESTCASE_CFNAME</string>
          <string>jenkins.plugins.testlink.examples.TestCurrentTime</string>
          <string>TESTLINK_TESTCASE_ID</string>
          <string>10</string>
          <string>TESTLINK_TESTCASE_NAME</string>
          <string>TCJ1</string>
          <string>TESTLINK_TESTCASE_STEP_TOTAL</string>
          <string>0</string>
          <string>TESTLINK_TESTCASE_SUMMARY</string>
          <string></string>
          <string>TESTLINK_TESTCASE_TESTPROJECTID</string>
          <string>8</string>
          <string>TESTLINK_TESTCASE_TESTSUITEID</string>
          <string>null</string>
          <string>TESTLINK_TESTPLAN_NAME</string>
          <string>TPJ1</string>
          <string>TESTLINK_TESTPROJECT_NAME</string>
          <string>TL_JENKINS</string>
        </tree-map>
      </val_-iterativeEnvVars>
      <outer-class reference="../../hudson.plugins.testlink.TestLinkBuilder_-1/outer-class"/>
    </hudson.plugins.testlink.TestLinkBuilder_-2>
    <hudson.plugins.testlink.TestLinkBuilder_-2 plugin="testlink@3.10">
      <val_-iterativeEnvVars serialization="custom">
        <unserializable-parents/>
        <tree-map>
          <default>
            <comparator class="hudson.util.CaseInsensitiveComparator" reference="../../../../../hudson.plugins.testlink.TestLinkBuilder_-1/val_-iterativeEnvVars/tree-map/default/comparator"/>
          </default>
          <int>11</int>
          <string>TESTLINK_BUILD_NAME</string>
          <string>TBJ-11</string>
          <string>TESTLINK_TESTCASE_AUTHOR</string>
          <string>null</string>
          <string>TESTLINK_TESTCASE_CFNAME</string>
          <string>jenkins.plugins.testlink.examples.Test224</string>
          <string>TESTLINK_TESTCASE_ID</string>
          <string>13</string>
          <string>TESTLINK_TESTCASE_NAME</string>
          <string>TCJ224</string>
          <string>TESTLINK_TESTCASE_STEP_TOTAL</string>
          <string>0</string>
          <string>TESTLINK_TESTCASE_SUMMARY</string>
          <string></string>
          <string>TESTLINK_TESTCASE_TESTPROJECTID</string>
          <string>8</string>
          <string>TESTLINK_TESTCASE_TESTSUITEID</string>
          <string>null</string>
          <string>TESTLINK_TESTPLAN_NAME</string>
          <string>TPJ1</string>
          <string>TESTLINK_TESTPROJECT_NAME</string>
          <string>TL_JENKINS</string>
        </tree-map>
      </val_-iterativeEnvVars>
      <outer-class reference="../../hudson.plugins.testlink.TestLinkBuilder_-1/outer-class"/>
    </hudson.plugins.testlink.TestLinkBuilder_-2>
    <hudson.plugins.testlink.TestLinkBuildAction plugin="testlink@3.10">
      <build class="build" reference="../../.."/>
      <result>
        <report>
          <passed>2</passed>
          <failed>0</failed>
          <blocked>0</blocked>
          <notRun>0</notRun>
          <buildId>7</buildId>
          <buildName>TBJ-11</buildName>
          <testCases class="linked-list">
            <hudson.plugins.testlink.result.TestCaseWrapper>
              <customFieldAndStatus>
                <entry>
                  <string>jenkins.plugins.testlink.examples.TestCurrentTime</string>
                  <br.eti.kinoshita.testlinkjavaapi.constants.ExecutionStatus>PASSED</br.eti.kinoshita.testlinkjavaapi.constants.ExecutionStatus>
                </entry>
              </customFieldAndStatus>
              <attachments class="linked-list"/>
              <notes></notes>
              <testCase>
                <id>10</id>
                <name>TCJ1</name>
                <testProjectId>8</testProjectId>
                <steps/>
                <executionType>AUTOMATED</executionType>
                <executionOrder>1000</executionOrder>
                <fullExternalId>tlj-1</fullExternalId>
                <versionId>11</versionId>
                <version>1</version>
                <customFields>
                  <br.eti.kinoshita.testlinkjavaapi.model.CustomField>
                    <id>1</id>
                    <name>cfName</name>
                    <label>cfLabel</label>
                    <type>0</type>
                    <possibleValues></possibleValues>
                    <defaultValue></defaultValue>
                    <validRegexp></validRegexp>
                    <lengthMin>0</lengthMin>
                    <lengthMax>0</lengthMax>
                    <showOnDesign>true</showOnDesign>
                    <enableOnDesign>true</enableOnDesign>
                    <showOnExecution>false</showOnExecution>
                    <enableOnExecution>false</enableOnExecution>
                    <showOnTestPlanDesign>false</showOnTestPlanDesign>
                    <enableOnTestPlanDesign>false</enableOnTestPlanDesign>
                    <displayOrder>1</displayOrder>
                    <location>1</location>
                    <value>jenkins.plugins.testlink.examples.TestCurrentTime</value>
                  </br.eti.kinoshita.testlinkjavaapi.model.CustomField>
                </customFields>
                <executionStatus>PASSED</executionStatus>
                <platform>
                  <id>0</id>
                  <name></name>
                </platform>
                <featureId>2</featureId>
              </testCase>
            </hudson.plugins.testlink.result.TestCaseWrapper>
            <hudson.plugins.testlink.result.TestCaseWrapper>
              <customFieldAndStatus>
                <entry>
                  <string>jenkins.plugins.testlink.examples.Test224</string>
                  <br.eti.kinoshita.testlinkjavaapi.constants.ExecutionStatus>PASSED</br.eti.kinoshita.testlinkjavaapi.constants.ExecutionStatus>
                </entry>
              </customFieldAndStatus>
              <attachments class="linked-list"/>
              <notes></notes>
              <testCase>
                <id>13</id>
                <name>TCJ224</name>
                <testProjectId>8</testProjectId>
                <steps/>
                <executionType>AUTOMATED</executionType>
                <executionOrder>1010</executionOrder>
                <fullExternalId>tlj-2</fullExternalId>
                <versionId>14</versionId>
                <version>1</version>
                <customFields>
                  <br.eti.kinoshita.testlinkjavaapi.model.CustomField>
                    <id>1</id>
                    <name>cfName</name>
                    <label>cfLabel</label>
                    <type>0</type>
                    <possibleValues></possibleValues>
                    <defaultValue></defaultValue>
                    <validRegexp></validRegexp>
                    <lengthMin>0</lengthMin>
                    <lengthMax>0</lengthMax>
                    <showOnDesign>true</showOnDesign>
                    <enableOnDesign>true</enableOnDesign>
                    <showOnExecution>false</showOnExecution>
                    <enableOnExecution>false</enableOnExecution>
                    <showOnTestPlanDesign>false</showOnTestPlanDesign>
                    <enableOnTestPlanDesign>false</enableOnTestPlanDesign>
                    <displayOrder>1</displayOrder>
                    <location>1</location>
                    <value>jenkins.plugins.testlink.examples.Test224</value>
                  </br.eti.kinoshita.testlinkjavaapi.model.CustomField>
                </customFields>
                <executionStatus>PASSED</executionStatus>
                <platform>
                  <id>0</id>
                  <name></name>
                </platform>
                <featureId>3</featureId>
              </testCase>
            </hudson.plugins.testlink.result.TestCaseWrapper>
          </testCases>
        </report>
        <build class="build" reference="../../../.."/>
      </result>
    </hudson.plugins.testlink.TestLinkBuildAction>
  </actions>
  <number>11</number>
  <startTime>1402653350456</startTime>
  <result>SUCCESS</result>
  <duration>4085</duration>
  <charset>windows-1252</charset>
  <keepLog>false</keepLog>
  <builtOn></builtOn>
  <workspace>D:\ext\Jenkins\jobs\TestLinkSandBox\workspace</workspace>
  <hudsonVersion>1.567</hudsonVersion>
  <scm class="hudson.scm.NullChangeLogParser"/>
  <culprits class="com.google.common.collect.EmptyImmutableSortedSet"/>
</build>